import { Component, Project } from 'projen';
import { MakefileProjenOptions } from '../files/makefile-projen';
/**
 * Base tooling for projen projects
 * Creates a Makefile-projen file with common targets used in projen projects
 * and a Makefile file that can be edited by devs
 */
export declare class BaseTooling extends Component {
    constructor(project: Project, opts?: BaseToolingOptions);
}
export interface BaseToolingOptions extends MakefileProjenOptions {
    /**
     * Additional contents to be added to Makefile, which is a sample
     * and can be edited by devs after the initial generation
     */
    additionalMakefileContentsUser?: string;
}
