import { FileBase, IResolver, Project } from 'projen';
export declare class MakefileProjenFile extends FileBase {
    optsWithDefaults: Required<MakefileProjenOptions>;
    constructor(project: Project, opts?: MakefileProjenOptions);
    protected synthesizeContent(_resolver: IResolver): string | undefined;
}
export interface MakefileProjenOptions {
    /**
     * Additional contents to be added to the Makefile on top of the default projen related targets
     * @default - no additional rules
     */
    readonly additionalMakefileContentsProjen?: string;
    /**
     * The version of ts-node lib to be used in "prepare" target of the Makefile
     * to install tooling for Projen to work
     * @default '10.9.2'
     */
    readonly tsNodeLibVersion?: string;
    /**
     * The version of projen lib to be used in "prepare" target of the Makefile
     * to install tooling for Projen to work
     * @default '0.91.6'
     */
    readonly projenLibVersion?: string;
    /**
     * Node version to be added to the .nvmrc file
     * @default '20.16.0'
     */
    readonly nodeVersion?: string;
    /**
     * Additional contents to be added to each target of the Makefile
     */
    readonly additionalMakefileContentsTargets?: Record<string, string>;
}
