import { Component, Project } from 'projen';
import { TaskOptions } from '../tasks';
export declare class Pip extends Component {
    constructor(project: Project, taskOpts: TaskOptions, opts?: PipOptions);
    postSynthesize(): void;
}
export interface PipOptions {
    /**
     * Python executable path to be used while creating the virtual environment
     * used in this project
     * @default python
     */
    readonly pythonExec?: string;
    /**
     * Name of the file used to install dependencies from
     * This file is derived from pyproject.toml and have to be
     * manually updated if pyproject.toml is updated by using
     * the projen task 'update-lockfile'.
     * This lock won't include "dev" dependencies
     * Read more at https://stackoverflow.com/questions/34645821/pip-constraints-files
     * @default constraints.txt
     */
    readonly lockFile?: string;
    /**
     * Same as lockFile, but it includes all dev dependencies
     * @default constraints-dev.txt
     */
    readonly lockFileDev?: string;
}
