import { FileBase, IResolver, Project } from 'projen';
export declare class CoveragercFile extends FileBase {
    private readonly opts;
    constructor(project: Project, opts?: CoveragercFileOptions);
    protected synthesizeContent(_resolver: IResolver): string | undefined;
}
export interface CoveragercFileOptions {
    /**
     * Minimum coverage required to pass the test.
     * @default 80
     */
    readonly minCoverage?: number;
    /**
     * List of file patterns to omit from coverage
     * @default []
     */
    readonly omitPatterns?: string[];
    /**
     * Skip reporting files that are covered
     * @default false
     */
    readonly skipCovered?: boolean;
    /**
     * Skip reporting files that are empty
     * @default true
     */
    readonly skipEmpty?: boolean;
    /**
     * Coverage report format
     * @default 'text'
     */
    readonly format?: 'text' | 'total' | 'markdown';
}
