import { Project, TomlFile } from 'projen';
/**
 * ruff.toml synthetisation
 */
export declare class RuffTomlFile extends TomlFile {
    constructor(project: Project, opts?: RuffTomlFileOptions);
}
export interface RuffTomlFileOptions {
    /**
     * @default py313
     */
    readonly targetPythonVersion?: string;
    /**
     * @default pre-selected set of rules
     */
    readonly ignoreRules?: string[];
    /**
     * Add rules defined here to the ignoreRules and selectRules (on top of the default rules) or replace them by this contents?
     * @default true
     */
    readonly addToExistingRules?: boolean;
    /**
     * @default pre-selected set of rules
     */
    readonly selectRules?: string[];
    /**
     * @default ignore doc-string code format for test files
     */
    readonly perFileIgnores?: Record<string, string[]>;
    /**
     * @default false
     */
    readonly unsafeFixes?: boolean;
    /**
     * @default 14
     */
    readonly mccabeMaxComplexity?: number;
}
